<?php
include 'Conexion.php';
header("Content-Type: application/json; charset=UTF-8");

class Operaciones
{
	public function validar($usuario)
	{
	    $conn = new Conexion();
        $conn->Conectar();
        $conn->Parametro("@user", $usuario);
        $data = $conn->Procedimiento("dbo.PA_ObtenerUsuario_PorNick");
        $conn->Desconectar();
        return json_encode($data);
	}
	
	public function PA_ObtenerUsuario_PorCodigo($id)
	{
	    $conn = new Conexion();
        $conn->Conectar();
        $conn->Parametro("@USU_Codigo", $id);
        $data = $conn->Procedimiento("SISTEMA.PA_ObtenerUsuario_PorCodigo");
        $conn->Desconectar();
        return json_encode($data);
	}
}

$request = json_decode(file_get_contents('php://input'), true);

switch ($request['accion']) {
	case 'PA_ObtenerUsuario_PorNick':
		try{
        	$usuario = $request['user'];
        	$app = new Operaciones();
        	echo $app->validar($usuario);
	    }catch (Exception $ex){
	        echo json_encode($ex);
	    }
	    break;
	    
	case 'PA_ObtenerUsuario_PorCodigo':
		try{
        	$id = $request['id'];
        	$app = new Operaciones();
        	echo $app->PA_ObtenerUsuario_PorCodigo($id);
	    }catch (Exception $ex){
	        echo json_encode($ex);
	    }
	    break;
}



